petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatPartitioningType

String with the name of a PETSc matrix partitioning

### Synopsis

    typedef const char* MatPartitioningType;
    #define MATPARTITIONINGCURRENT  "current"
    #define MATPARTITIONINGAVERAGE   "average"
    #define MATPARTITIONINGSQUARE   "square"
    #define MATPARTITIONINGPARMETIS "parmetis"
    #define MATPARTITIONINGCHACO    "chaco"
    #define MATPARTITIONINGPARTY    "party"
    #define MATPARTITIONINGPTSCOTCH "ptscotch"
    #define MATPARTITIONINGHIERARCH  "hierarch"

dm

### See Also

MatPartitioningCreate(), MatPartitioning

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages